export default {
  productName: process.env.VUE_APP_PRODUCT_NAME,
  shortName: process.env.VUE_APP_SHORT_NAME,
  rootName: '所有部门',
  description: '提供用户、角色、权限等基本管理功能，为业务系统提供基础业务支撑。',
  copyright: '长春吉大正元信息技术有限公司 版权所有 © 2019 ',
  logo1: process.env.VUE_APP_PRODUCT_LOGO, // 登录页LOGO
  logo2: false, // 主页LOGO
  layout: {
    breadHeight: '24px',
    headerHeight: '36px',
    footerHeight: '48px',
    asideExpandWidth: '256px',
    asideCollapseWidth: '64px',
  },
  pageSize: 10,
  menuMode: process.env.VUE_APP_MENU_MODE, // nested-两层嵌套导航（导航条+导航树）; lite-单一树状导航, liteOnly, nestedOnly
  verifyCode: eval(process.env.VUE_APP_VERIFY_CODE), // 是否使用图片验证码
  homeRoute: process.env.VUE_APP_HOME_ROUTE || '/', // 首页导航路由
};
