module.exports = [
  {
    path: '/user',
    component: () => import(/* webpackChunkName: "xms_user" */ '@/views/user/index.vue'),
  },
  {
    path: '/org',
    component: () => import(/* webpackChunkName: "xms_user_org" */ '@/views/user/org.vue'),
  },
  {
    path: '/group',
    component: () => import(/* webpackChunkName: "xms_user_group" */ '@/views/user/group.vue'),
  },
  // // 帐号应用查询页
  // {
  //   path: '/acct',
  //   component: () => import(/* webpackChunkName: "xms_user_acct" */ '@/views/user/acct.vue'),
  // },
  // // 帐号列表页
  // {
  //   path: '/acct',
  //   component: () => import(/* webpackChunkName: "xms_user_acct" */ '@/views/user/accttow.vue'),
  // },
  // 机构帐号
  {
    path: '/acct',
    component: () => import(/* webpackChunkName: "xms_user_acct" */ '@/views/user/acctThree.vue'),
  },
  {
    path: '/cert',
    component: () => import(/* webpackChunkName: "xms_user_cert" */ '@/views/user/cert.vue'),
  },
  {
    path: '/register',
    component: () => import(/* webpackChunkName: "xms_user_register" */ '@/views/user/register.vue'),
    children: [
      {
        path: '/register/:type',
      },
    ],
  },
  {
    path: '/blacklist',
    component: () => import(/* webpackChunkName: "xms_user_blacklist" */ '@/views/user/blacklist.vue'),
  },
  {
    path: '/cred',
    component: () => import(/* webpackChunkName: "xms_user_cred" */ '@/views/user/cred.vue'),
    children: [
      {
        path: '/cred/:type',
      },
    ],
  },
  // 用户规则
  {
    path: '/rule',
    component: () => import(/* webpackChunkName: "xms_user_blacklist" */ '@/views/user/rules.vue'),
  },
];
