module.exports = [
  {
    path: '/app',
    component: () => import(/* webpackChunkName: "xms_app" */ '@/views/app/index.vue'),
  },
  {
    path: '/resources',
    component: () => import(/* webpackChunkName: "xms_app_res" */ '@/views/app/resource.vue'),
  },
  {
    path: '/roles',
    component: () => import(/* webpackChunkName: "xms_app_role" */ '@/views/app/role.vue'),
  },
  {
    path: '/policy',
    component: () => import(/* webpackChunkName: "xms_others_policy" */ '@/views/app/policy.vue'),
  },
  {
    path: '/policyValue',
    component: () => import(/* webpackChunkName: "xms_others_policy" */ '@/views/app/policyValue.vue'),
  },
  {
    path: '/terminal',
    component: () => import(/* webpackChunkName: "xms_others_policy" */ '@/views/app/terminal.vue'),
  },
];
