import Vue from 'vue';
import Router from 'vue-router';
import Home from '@/views/dashboard.vue';
import Dashboard from '@/views/dashboard.vue';
import user from './user';
import app from './app';
import authorize from './authorize';
import other from './other';

Vue.use(Router);

const router = new Router({
  mode: process.env.VUE_APP_ROUTER_MODE || 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      component: Home,
    },
    {
      path: '/dashboard',
      component: Dashboard,
    },
    ...user,
    ...app,
    ...authorize,
    ...other,
  ],
});

export default router;
