import config from '@frame/config';
const { pageSize = 10 } = config;
const api = {
  exp: '/xms/db/exp',
  imp: '/xms/db/imp',
  db: '/xms/db',
};

// 参数帐号id  appid
// initial state
export const state = () => ({
  list: null,
  total: 0,
});

// actions
export const actions = {
  // 备份
  async export({ commit, state }) {
    const res = await this.$axios.$post(`${api.exp}`);
    return res;
  },
  // 进度
  async db({ commit, state }, { id }) {
    const res = await this.$axios.$get(`${api.db}/${id}`);
    return res;
  },
};

// mutations
export const mutations = {};
